#include "ginyamics.h"
#include "ui_ginyamics.h"
#include <QDebug>

GinyAmics::GinyAmics(QWidget *parent)
    : QWidget(parent)
    , ui(new Ui::GinyAmics)
{
    ui->setupUi(this);
    qszNom = qszCognoms = "";
    connect(ui->leCognom,SIGNAL(textChanged(QString)),
            this,SLOT(slotQuanCanviaTextCognom(QString)));
}

GinyAmics::~GinyAmics()
{
    delete ui;
}

void GinyAmics::vVisualitzaEtiquetaNomCognoms(){
    ui->etNomCognoms->setText(qszNom + " " + qszCognoms);
}

void GinyAmics::on_leNom_textChanged(const QString &arg1)
{
    //qDebug() << "Nom: " << arg1;
    qszNom = arg1;
    vVisualitzaEtiquetaNomCognoms();
}

void GinyAmics::on_leCognom_returnPressed()
{
    //qDebug() << "Cognoms: " << ui->leCognom->text();
    qszCognoms = ui->leCognom->text();
    vVisualitzaEtiquetaNomCognoms();
}

void GinyAmics::slotQuanCanviaTextCognom(QString qsz){
    //qDebug() << qsz;
    emit senyalTextCanviat(qsz);
}

void GinyAmics::slotEmplenaLineEditCognom(QString qsz){
    ui->leCognom->setText(qsz);
}
